%global hash fdd42e838e4d5199b0277fc21a920a744cdd5c9d

Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml
Name:           python-ruamel-yaml-clib
Version:        0.2.7
Release:        3%{?dist}
License:        MIT
URL:            https://sourceforge.net/projects/ruamel-yaml-clib/
Source0:        https://sourceforge.net/code-snapshots/hg/r/ru/ruamel-yaml-clib/code/ruamel-yaml-clib-code-%{hash}.zip
BuildRequires:  gcc libyaml-devel

%description
This package provides the C based reader/scanner and emitter for ruamel.yaml.

%package -n     python3-ruamel-yaml-clib
Summary:        C version of reader, parser and emitter for ruamel.yaml derived from libyaml
BuildRequires:  python3-devel python3-setuptools python3-Cython

Requires:       python3-setuptools python3-ruamel-yaml

%description -n python3-ruamel-yaml-clib
This package provides the C based reader/scanner and emitter for ruamel.yaml.

%prep
%autosetup -n ruamel-yaml-clib-code-%{hash}
rm -v $(grep -rl '/\* Generated by Cython')

%build
mkdir ruamel.yaml.clib
mv *.pyx ruamel.yaml.clib
cythonize -3 ruamel.yaml.clib/*.pyx
mv ruamel.yaml.clib/* .
rmdir ruamel.yaml.clib

%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-ruamel-yaml-clib
%license LICENSE
%doc README.rst
%{python3_sitearch}/_ruamel_yaml.cpython-*
%{python3_sitearch}/ruamel.yaml.clib-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 0.2.7-1
- Upgrade to version 0.2.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.6-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 0.2.6-2
- remove README.md

* Tue Sep 20 2022 Shuo Wang <abushwang@tencent.com> - 0.2.6-1
- initial build
